# Check the status of a AI 2D Virtual Try On Ring task.

Endpoint: GET /s2s/v2.0/task/2d-vto/ring/{task_id}
Security: BearerAuthenticationV2

## Path parameters:

  - `task_id` (string, required)
    ID of task to check

## Response 200 fields (application/json):

  - `url` (string)
    URL to download this result. Valid for 2 hours
    Example: https://example.com/sample-result-url

## Response 400 fields (application/json):

  - `status` (integer)
    Response status
    Example: 400

  - `error` (string)
    Example: Invalid task ID

## Response 401 fields (application/json):

  - `status` (integer)
    Response status
    Example: 401

  - `error` (string)
    Example: Invalid API key

## Response 500 fields (application/json):

  - `status` (integer)
    Response status
    Example: 500

  - `error` (string)
    Example: Task execution timed out

